﻿<%@ Page Language="c#" AutoEventWireup="False" Codebehind="Settings.aspx.cs" Inherits="EPiServer.OfficePublish.Settings, EPiServer.OfficePublish" %>
<%@ Import Namespace="EPiServer" %>
<%@ Register Assembly="EPiServer.UI" Namespace="EPiServer.UI.WebControls" TagPrefix="EPiServerUI" %>

<asp:Content ContentPlaceHolderID="HeaderContent" runat="server">
    <style type="text/css">
         .opNoContentChannels {
         	font-style: italic;
         	font-weight:bolder;
         	color: Red;
         }
         .opHandlerUrl
         {
             background-color: White; 
             border: 1px solid Black; 
             padding: 5px;
         }
    </style>
</asp:Content>

<asp:Content ContentPlaceHolderID="MainContent" runat="server">
    <h1 class="EP-prefix">
        <%= Translate("/officepublish/settings/heading")%>
	    <a onclick="window.open('<%= ModuleHelpUrl %>','_blank', 'scrollbars=yes, height=500, location=no, menubar=no, resizable=yes, toolbar=no, width=840');return false;" 
            title="Help" href="<%= ModuleHelpUrl %>" target="_blank">
            <img class="EPEdit-CommandTool" align="absmiddle" src="/App_Themes/Default/Images/Tools/Help.png" border="0" alt="Help">
	    </a>
    </h1>
    <asp:Panel runat="server" class="epi-formArea">
        <p class="EP-systemInfo">
            <%= Translate("/officepublish/settings/description")%>
        </p>
        <p>
            <%= Translate("/officepublish/settings/urlregistering")%>
        </p>
        <p>
            <span class="opHandlerUrl" ><%= HandlerUrl %></span>
        </p>
        
        <p>
            <%= Translate("/officepublish/settings/registrationscript")%>
        </p>
        <div>
            <asp:CheckboxList id="SelectedContentChannels" runat="server" />
            <div class="opNoContentChannels" id="NoContentChannels" runat="server" visible="False"><%= Translate("/officepublish/settings/nocontentchannels")%></div>
        </div>

        <p>
            <span class="epi-cmsButton">
                <asp:Button runat="server" id="GenerateRegFile" class="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Export" text="<%$ Resources: EPiServer, officepublish.settings.downloadbutton %>" />
            </span>
        </p>
    </asp:Panel>

</asp:Content>